Subject: Re: bug#39294: Can't run ./configure

From: Gábor Boskovits <[email-masked]>
Date: Sun, 26 Jan 2020 18:56:25 +0100

Hello Damien,

Damien Cassou <[email-masked]> ezt írta (időpont: 2020. jan. 26., V, 17:58):
>
> Hi,
>
> I'm on Fedora and just installed Guix by using guix-install.sh. I also
> checked out Guix git repository. When inside this repository, I face the
> following issue:
>
>     $ guix environment guix
>     ...
>
>     guix$ ./bootstrap
>     ...
>
>     guix$ ./configure
>     ...
>     checking if (gnutls) is available... yes
>     checking if (git) is available... no
>     configure: error: Guile-Git is missing; please install it.
>
> I tried passing "--ad-hoc guile-git git" as parameter to "guix
> environment", but this doesn't fix the problem.
>
The issue seems here, is that the current guix is too old.
guix environment guix should be enough if the current guix and the
checked out one shares the dependencies.

Could you try this again after 'guix pull'?

> --
> Damien Cassou
>
> "Success is the ability to go from one failure to another without
> losing enthusiasm." --Winston Churchill
>
>
>

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21